Bug 28356 - Consolidate header catalogue search box code
Summary: Consolidate header catalogue search box code
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Nick Clemens
QA Contact: Joonas Kylmälä
URL:
Keywords:
Depends on:
Blocks: 26247
  Show dependency treegraph
 
Reported: 2021-05-14 15:06 UTC by Nick Clemens
Modified: 2022-07-14 12:17 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
21.11.00


Attachments
Bug 28356: Consolidate catalogue search box code (28.34 KB, patch)
2021-05-14 15:16 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 28356: Consolidate catalogue search box code (28.34 KB, patch)
2021-05-14 15:18 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 28356: Consolidate catalogue search box code (28.29 KB, patch)
2021-06-23 14:51 UTC, Hakam Almotlak
Details | Diff | Splinter Review
Bug 28356: Consolidate catalogue search box code (28.29 KB, patch)
2021-06-23 14:51 UTC, Hakam Almotlak
Details | Diff | Splinter Review
Bug 28356: Consolidate catalogue search box code (28.43 KB, patch)
2021-09-12 13:53 UTC, Joonas Kylmälä
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2021-05-14 15:06:32 UTC
We duplicate the code for the 'Search the catalog' box in many different include files, we should use a single file that is included where needed
Comment 1 Nick Clemens 2021-05-14 15:16:57 UTC Comment hidden (obsolete)
Comment 2 Nick Clemens 2021-05-14 15:18:12 UTC Comment hidden (obsolete)
Comment 3 Hakam Almotlak 2021-06-23 14:51:04 UTC Comment hidden (obsolete)
Comment 4 Hakam Almotlak 2021-06-23 14:51:34 UTC
Created attachment 122346 [details] [review]
Bug 28356: Consolidate catalogue search box code

To test:
1 - Apply patch
2 - Confirm searchign the catalog works from:
    Administration->Budgets
    Cataloging
    Circulation->Check in
    Administration->Cities and towns
    Acquisitions->{Vendor}->Contracts
    Administration->Currencies
    Administration->Circulation desks (requires  UseCirculationDesks preference)
    Home
    Tools->Notices and slips
    Patrons
    Adminstration
    Serials
    Acquisitions->Suggestions
    Administration->Z39.50/SRU servers

Signed-off-by: hakam <hakam@inlibro.com>
Comment 5 Fridolin Somers 2021-08-17 07:14:27 UTC
(In reply to Hakam Almotlak from comment #4)
> Created attachment 122346 [details] [review] [review]
> Bug 28356: Consolidate catalogue search box code
> 
> To test:
> 1 - Apply patch
> 2 - Confirm searchign the catalog works from:
>     Administration->Budgets
>     Cataloging
>     Circulation->Check in
>     Administration->Cities and towns
>     Acquisitions->{Vendor}->Contracts
>     Administration->Currencies
>     Administration->Circulation desks (requires  UseCirculationDesks
> preference)
>     Home
>     Tools->Notices and slips
>     Patrons
>     Adminstration
>     Serials
>     Acquisitions->Suggestions
>     Administration->Z39.50/SRU servers
> 
> Signed-off-by: hakam <hakam@inlibro.com>

You forgot to change status to "Signed off" no ?
Comment 6 Nick Clemens 2021-08-23 15:48:46 UTC
Moving to Signed-Off, QA queue
Comment 7 Joonas Kylmälä 2021-09-12 13:53:48 UTC
Created attachment 124814 [details] [review]
Bug 28356: Consolidate catalogue search box code

To test:
1 - Apply patch
2 - Confirm searchign the catalog works from:
    Administration->Budgets
    Cataloging
    Circulation->Check in
    Administration->Cities and towns
    Acquisitions->{Vendor}->Contracts
    Administration->Currencies
    Administration->Circulation desks (requires  UseCirculationDesks preference)
    Home
    Tools->Notices and slips
    Patrons
    Adminstration
    Serials
    Acquisitions->Suggestions
    Administration->Z39.50/SRU servers

Signed-off-by: hakam <hakam@inlibro.com>

Signed-off-by: Joonas Kylmälä <joonas.kylmala@iki.fi>
Comment 8 Joonas Kylmälä 2021-09-12 13:54:16 UTC
Passing QA. Note: Administration->Cities and towns search was already broken before this patch.
Comment 9 Jonathan Druart 2021-09-21 18:16:37 UTC
Nice one!
Comment 10 Jonathan Druart 2021-09-21 18:18:55 UTC
Pushed to master for 21.11, thanks to everybody involved!